Skip to main content

Create Lead Event: RentManager

POSThttps://api.propexo.com/v1/events/leads/rentmanager/
Method
POST /Prospects/{x_prospect_id}/HistoryCalls
POST /Prospects/{x_prospect_id}/HistoryEmails
POST /Prospects/{x_prospect_id}/HistoryVisits
POST /Prospects/HistoryNotes
POST /HistoryNotes/{noteId}/UploadAttachments
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    event_namestringrequired

    The name or type of event

    Show 4 enum values
    CALLEMAILVISITNOTE
    notesstring

    Notes associated with the event

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    event_namestringrequired

    The name or type of event

    Show 4 enum values
    CALLEMAILVISITNOTE
    notesstring | nullnullablerequired

    Notes associated with the event

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/leads/rentmanager/
curl -X POST https://api.propexo.com/v1/events/leads/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_id": "string",
"event_name": "CALL"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"event_name": "CALL",
"notes": "string"
}
}